/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.syswarning.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.User;

/**
 * 系统预警Entity
 * @author chenyuping
 * @version 2018-08-14
 */
public class SysWarningUser extends DataEntity<SysWarningUser> {
	
	private static final long serialVersionUID = 1L;
	private String userId;		// 人员id
	private String warningId;		// 预警id
	private User user;
	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}


	
	public SysWarningUser() {
		super();
	}

	public SysWarningUser(String id){
		super(id);
	}

	@ExcelField(title="人员id", align=2, sort=7)
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}
	
	@ExcelField(title="预警id", align=2, sort=8)
	public String getWarningId() {
		return warningId;
	}

	public void setWarningId(String warningId) {
		this.warningId = warningId;
	}
	
}